{% extends 'base.html.twig' %}

{% block title %}VLBP - {{ deal.titre }}{% endblock %}

{% block body %}
<!-- Bande titre -->
<div class="container-fluid cover titre-deal">
    <div class="container py-5">
        <h1 class="text-center text-white">Les Bons Plans</h1>
        <p>Retrouvez ici tous les bons plans qui ont été partagés par notre super communauté ! 
            N'hésitez pas à proposer les bons plans que vous avez trouvé en nous rejoignant !</p>
    </div>
</div>
<!-- Liste des bons plans -->
<div class="container">
    <div class="text-left">
        <a href="{{ path('deal') }}" class="btn btn-color ml-auto mt-4"> Retour à la liste</a>
    </div>
    <h4 class="mt-5">Le détail de {{ deal.titre }} chiné par {{deal.user.prenom}} !</h4>
    <div class="row">
        <div class="col-md-10">
            <div class="row justify-content-center mt-5">
                <div class="col-3">
                    <img src="{{ asset('/upload/deal/' ~ deal.image ) }}" alt="" class="img-fluid img-deal">
                </div>
                <div class="col-3 text-center align-self-center">
                    {{ deal.prix }}€
                </div>
            </div>
            <p class="mt-3"><u>Catégorie:</u> {{deal.categorie}}</p>
            <p>{{ deal.description|raw }}</p>
            <p>Le bon plan expire dans {{ deal.expire|date("%m mois et %d jour(s)") }}.</p> 
            <p class="text-right">Publié par {{ deal.user.prenom }}, le {{ deal.createdAt|date("d/m/Y") }}</p>
        </div>
        <div class="col-md-2 sidebar d-md-none d-lg-block">
            <div class="meilleur-bp bg-perso text-center shadow">
                <p class="megaphone"><i class="fa fa-bullhorn" aria-hidden="true"></i></p>
                <p><u class="font-weight-bold">Nos derniers bons plans</u></p>
                <div id="ajax-retour">
                {% for lastDeal in lastDeals %}
                <p><a href="{{ path('deal-detail', {'slug': lastDeal.id}) }}">{{lastDeal.titre}}</a></p>
                {% endfor %}
                <p class="megaphone"><i class="fa fa-bullhorn" aria-hidden="true"></i></p>
            </div>
            </div>
            <div class="pub mt-5 shadow">
                <img src="{{ asset('/upload/deal/pub.jpg') }}" alt="" class="img-fluid">
            </div>
            <div class="rejoindre bg-perso text-center mt-5 mb-2 shadow">
                <p>Vous aussi partagez vos bons plans avec notre super communauté !</p>
                <button class="btn btn-deal mt-4 align-self-center"><a href="{{ path('inscription')}}" class="text-light">Rejoignez-nous</a></button>
            </div>
        </div>
    </div>
</div>
{% endblock %}
{% block javascripts %}
<script>
    $(document).ready(function(){
        setInterval(function(){
            $.ajax({
                url: "/majDeal", // Ton fichier ou se trouve ton chat
                type: 'GET',
                success:
                    function(retour){
                    $('#ajax-retour').html(retour); // rafraichi toute ta DIV "bien sur il lui faut un id "
                }
            }).done(function(retour){
            }).fail(function(error, errorMsg){
            });
        }, 4*30000) // Répète la fonction toutes les 30 sec
    });
</script>
{% endblock %}
